---
title: "smc"
description: "SMC API Documentation"
url: https://developer.disguise.one/smc/api/oled/
---

# Front Screen (OLED) API

-   [POST oled/notification](#post-smc)
-   [POST oled/notification/time](#post-smc)

## POST notification

### Summary

Create a notification that will display on the OLED

-   The default time this notification displays for is 10s and can be changed with notification/time endpoint
-   The maximum length of a message is 200 characters, anything over this will be truncated

### URL

POST    /api/oled/notification

### Request Body

```json
{
  "[Time Elapsed (post-boot)]": "ETH_MGMT Enumerated"
}
```

### Responses

-   **201:** Success - Created  
    — **400:** Bad request - check body for compatibility
-   **401:** Unauthorized - Please login for access
-   **500:** Check the response body for error details

Response Body

```json
{
  "priority": 0,
  "title": "Display Error",
  "message": "Could not configure output for GUI 0"
}
```

* * *

## POST notification/time

### Summary

Set the default time a notification appears on the OLED for

### URL

POST    /api/oled/notification/time

### Request Body

```json
{
  "[Time Elapsed (post-boot)]": "ETH_MGMT Enumerated"
}
```

### Responses

-   **201:** Success - Created  
    — **400:** Bad request - check body for compatibility
-   **401:** Unauthorized - Please login for access
-   **500:** Check the response body for error details

Response Body

```json
{
  "priority": 0,
  "title": "Display Error",
  "message": "Could not configure output for GUI 0"
}
```
